import request from '@/utils/request'

// 商品分页
export function ownerGoodsList(data) {
  return request({
    url: '/goods/merc-mini/goods/page',
    method: 'post',
	data:data
  })
}

// 商品类目
export function goodsCategory(data) {
  return request({
    url: '/goods/merc-mini/goods/categoryLevel1 ',
    method: 'post',
    data:data
  })
}

// 列表(内部服务调用) 
export function listById(data) {
  return request({
    url: '/mini/mercLine/listById',
    method: 'post',
    data:data
  })
}

// 列表
export function lineListByMerc(data) {
  return request({
    url: '/mini/mercLine/listByMerc',
    method: 'post',
    data:data
  })
}

// 删除
export function lineDel(data) {
  return request({
    url: '/mini/mercLine/del',
    method: 'post',
    data:data
  })
}
//设备 分类列表
export function categoryList(data) {
  return request({
    url: '/goods/merc-mini/goodsMerc/categoryList',
    method: 'post',
    data:data
  })
}
//设备  商品类别
export function list(data) {
  return request({
    url: '/goods/merc-mini/goodsDevice/list',
    method: 'post',
    data:data
  })
}

//销售统计汇总
export function sumCount(data) {
  return request({
    url: '/goods/merc-mini/goodsData/sumCount',
    method: 'post',
    data:data
  })
}

//销售统计列表
export function sumPage(data) {
  return request({
    url: '/goods/merc-mini/goodsData/sumPage',
    method: 'post',
    data:data
  })
}

//设备商品公库分页
export function pageByGoods(data) {
  return request({
    url: '/goods/merc-mini/goodsDevice/pageByGoods',
    method: 'post',
    data:data
  })
}

//设备商品私库分页
export function pageByGoodsMerc(data) {
  return request({
    url: '/goods/merc-mini/goodsDevice/pageByGoodsMerc',
    method: 'post',
    data:data
  })
}

//私库到设备
export function bindDeviceByMercGoods(data) {
  return request({
    url: '/goods/merc-mini/goodsDevice/bindDeviceByMercGoods',
    method: 'post',
    data:data
  })
}

//公库到设备
export function bindDeviceByGoods(data) {
  return request({
    url: '/goods/merc-mini/goodsDevice/bindDeviceByGoods',
    method: 'post',
    data:data
  })
}


